function sinvec = calc_sinvec(t);
% Calculates a vector with first 15 Fourier basis functions
% corresponding to period h = 8
% 
%   Copyright 2003 Moritz Diehl
%

h=8;
pi=3.14159265358979;

sinvec(1)=1/sqrt(2);
sinvec(2)=sin(2*pi/h*t);
sinvec(3)=cos(2*pi/h*t);

for j=4:2:15
  sinvec(j)  = sin12(sinvec(j-2),sinvec(j-1),sinvec(2),sinvec(3));
  sinvec(j+1)= cos12(sinvec(j-2),sinvec(j-1),sinvec(2),sinvec(3));
end
% end of calc_sinvec


function sinv3=sin12(sinv1,cosv1,sinv2,cosv2)  
sinv3=sinv1*cosv2 + cosv1*sinv2;
% end of sin12

function cosv3=cos12(sinv1,cosv1,sinv2,cosv2) 
cosv3=cosv1*cosv2 - sinv1*sinv2;
% end of sin12

